### Function

# Gck modules_initialize_registered

#### Declaration [src]

    GList*
    gck_modules_initialize_registered (
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Load and initialize all the registered modules.

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `GckModule*`
| A newly allocated list of `GckModule` objects.
| The caller of the function takes ownership of the data, and is responsible for freeing it.